Text-to-speech
Synthesize speech with Qwen3-TTS, Kokoro, Orpheus, and other voice models. Returns audio binary.
POST
/
audio
/
speech
Text-to-speech
curl --request POST \
--url https://api.runcrate.ai/v1/audio/speech \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "qwen/qwen3-tts",
"input": "<string>",
"voice": "alloy",
"response_format": "mp3",
"speed": 2.125
}
'import requests
url = "https://api.runcrate.ai/v1/audio/speech"
payload = {
"model": "qwen/qwen3-tts",
"input": "<string>",
"voice": "alloy",
"response_format": "mp3",
"speed": 2.125
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'qwen/qwen3-tts',
input: '<string>',
voice: 'alloy',
response_format: 'mp3',
speed: 2.125
})
};
fetch('https://api.runcrate.ai/v1/audio/speech', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Use a Runcrate API key with the rc_live_* prefix as the bearer token. Create one at https://www.runcrate.ai/dashboard/api-keys.
Body
application/json
Response
Audio binary in the requested format.
The response is of type file.
Previous
Speech-to-textTranscribe audio with Whisper Large V3, Voxtral, and other ASR models. Multipart form upload.
Next
⌘I
Text-to-speech
